Subject: bug#77549: ELPA: Duplicate entries for GNU Poke?

From: "Jose E. Marchesi" <[email-masked]>
Date: Mon, 07 Apr 2025 16:31:32 +0200

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > poke.el is an Emacs interface for poke.
>
>   > poke-mode.el is a mode to edit programs written in Poke, the programming
>   > language implemented by poke.
>
> It makes sense now that you've explained it, but the simiarity will
> surely cause confusion.  Can we adjust the names to make the
> difference clear?  Of course, both names should mention Poke.
> but they can differ more.
>
> Perhaps the interface to Poke should be called poke-interface or
> subpoke.

What about renaming poke-mode.el to poke-lang-mode.el?